Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

List import batches.

List import batches. An organization-scoped read using JSON filter arguments; requires imports.write. Pagination cursors must be reused only with the same organization, operation and filters.

POST/queries/list_import_batches
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Request body
requiredapplication/json
object
Responses
200

Successful read.

dataobject[]required
Show properties
Array of object
applied_atstring<date-time>
created_atstring<date-time>required
created_record_countnumberrequired
error_countnumberrequired
failure_countnumberrequired
idstringrequired

Opaque Soljio resource ID.

min length 1
kindstringrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
row_countnumberrequired
skipped_countnumberrequired
source_filenamestring
statusstringrequired
Show properties
Any of:
string
string
string
string
string
string
success_countnumberrequired
warning_countnumberrequired
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.soljio.com/v0/queries/list_import_batches' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{}'
Response
{
  "data": [
    {
      "applied_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "created_record_count": 0,
      "error_count": 0,
      "failure_count": 0,
      "id": "string",
      "kind": "households",
      "row_count": 0,
      "skipped_count": 0,
      "source_filename": "string",
      "status": "dry_run",
      "success_count": 0,
      "warning_count": 0
    }
  ],
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}